// Account.java
public class Account{
	private int pin;
	private double balance;
	private String accountName;
	private static double annualInterestRate;
	//no-args constructor
	public Account(){
		this(1100,"Aliyu",0.0);
	}
	//constructor with 3 parameters
	public Account(int pin, String accountName, double annualInterestRate){
		this.pin = pin;
		this.accountName = accountName;
		this.annualInterestRate = annualInterestRate;
	}
	//getters
	public int getPin(){
		return pin;
	}
	public String getAccountName(){
		return accountName;
	}
	public static double getAnnualInterestRate(){
		return annualInterestRate;
	}
	//setters
	public void setPin(int newPin){
		pin  = newPin;
	}
	public void setAccountName(String name){
		accountName = name;
	}
	public static void setAnnualInterestRate(double anuualRate){
		annualInterestRate = anuualRate;
	}
	public double getBalance(){
		return balance;
	}
	//method withdraw
	public void withdraw(double amount){
		balance -= balance;
	}
	//method deposit
	public void deposit(double amount){
		balance = balance + amount;
	}
	//toString method
	public String toString(){
		return String.format("Name: %s\nBalance: %.2f\nMonthly Interest: %.2f", getAccountName(), getBalance(), (getBalance() * getAnnualInterestRate())/12);
	}// end of toString method
	
}// end of class